> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voxo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Emergency Location

> Update an existing E911 emergency location



## OpenAPI

````yaml https://api.voxo.co/v2/docs/openapi.json patch /v2/admin/emergency-locations/{id}
openapi: 3.1.0
info:
  title: VOXO API
  description: VOXO Communication Platform API
  version: 2.0.0
servers:
  - url: https://api.voxo.co
security:
  - bearerAuth: []
paths:
  /v2/admin/emergency-locations/{id}:
    patch:
      tags:
        - Emergency Locations
      summary: Update Emergency Location
      description: Update an existing E911 emergency location
      parameters:
        - schema:
            type: string
            pattern: ^[1-9]\d*$
          in: path
          name: id
          required: true
          description: Emergency location ID
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  minLength: 1
                  description: Location name
                tenantId:
                  type: number
                  exclusiveMinimum: 0
                  description: Tenant ID
                address:
                  type: object
                  properties:
                    loc:
                      type: string
                      pattern: >-
                        ^[-+]?([1-8]?\d(\.\d+)?|90(\.0+)?),\s*[-+]?(180(\.0+)?|((1[0-7]\d)|([1-9]?\d))(\.\d+)?)$
                      description: Latitude,longitude coordinates
                    city:
                      type: string
                      minLength: 1
                      description: City
                    state:
                      type: string
                      minLength: 2
                      maxLength: 2
                      description: Two-letter state code
                    location:
                      type: string
                      description: Location details (suite, floor, etc.)
                    streetNum:
                      type: string
                      minLength: 1
                      description: Street number
                    postalCode:
                      type: string
                      minLength: 1
                      description: Postal code
                    streetInfo:
                      type: string
                      minLength: 1
                      description: Street name and type
                  required:
                    - loc
                    - city
                    - state
                    - location
                    - streetNum
                    - postalCode
                    - streetInfo
                  additionalProperties: false
                notificationGroups:
                  description: E911 notification groups
                  type: array
                  items:
                    type: object
                    properties:
                      id:
                        type: number
                        exclusiveMinimum: 0
                        description: Notification group ID
                      name:
                        type: string
                        minLength: 1
                        description: Notification group name
                      number:
                        type: string
                        minLength: 1
                        description: Notification phone number
                      email:
                        type: string
                        format: email
                        pattern: >-
                          ^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$
                        description: Notification email address
                      peerName:
                        type: string
                        minLength: 1
                        description: SIP peer name
                    required:
                      - id
                      - name
                      - number
                      - peerName
                    additionalProperties: false
              additionalProperties: false
      responses:
        '200':
          description: Updated emergency location
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: number
                    description: Emergency location ID
                  name:
                    anyOf:
                      - type: string
                      - type: 'null'
                    description: Location name
                  tenant:
                    type: object
                    properties:
                      id:
                        type: number
                        description: Tenant ID
                      name:
                        type: string
                        description: Tenant name
                    required:
                      - id
                      - name
                    additionalProperties: false
                    description: Parent tenant
                  address:
                    type: object
                    properties:
                      loc:
                        type: string
                        description: Latitude,longitude coordinates
                      city:
                        type: string
                        description: City
                      state:
                        type: string
                        description: Two-letter state code
                      location:
                        type: string
                        description: Location details (suite, floor, etc.)
                      streetNum:
                        type: string
                        description: Street number
                      postalCode:
                        type: string
                        description: Postal code
                      streetInfo:
                        type: string
                        description: Street name and type
                    required:
                      - loc
                      - city
                      - state
                      - location
                      - streetNum
                      - postalCode
                      - streetInfo
                    additionalProperties: false
                    description: Street address
                  notificationGroups:
                    anyOf:
                      - type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: number
                              description: Notification group ID
                            name:
                              type: string
                              description: Notification group name
                            number:
                              type: string
                              description: Notification phone number
                            email:
                              description: Notification email address
                              type: string
                            peerName:
                              type: string
                              description: SIP peer name
                          required:
                            - id
                            - name
                            - number
                            - peerName
                          additionalProperties: false
                      - type: 'null'
                    description: E911 notification groups
                  addressId:
                    anyOf:
                      - type: string
                      - type: 'null'
                    description: Telnyx dynamic emergency address ID
                  geolocationId:
                    anyOf:
                      - type: string
                      - type: 'null'
                    description: Telnyx SIP geolocation ID
                required:
                  - id
                  - name
                  - tenant
                  - address
                  - notificationGroups
                  - addressId
                  - geolocationId
                additionalProperties: false
        '400':
          description: Error response
          content:
            application/json:
              schema:
                type: object
                properties:
                  name:
                    type: string
                  message:
                    type: string
                  code:
                    type: number
                  validationErrors:
                    type: array
                    items:
                      type: string
                required:
                  - name
                  - message
                  - code
                additionalProperties: false
        '403':
          description: Error response
          content:
            application/json:
              schema:
                type: object
                properties:
                  name:
                    type: string
                  message:
                    type: string
                  code:
                    type: number
                  validationErrors:
                    type: array
                    items:
                      type: string
                required:
                  - name
                  - message
                  - code
                additionalProperties: false
        '404':
          description: Error response
          content:
            application/json:
              schema:
                type: object
                properties:
                  name:
                    type: string
                  message:
                    type: string
                  code:
                    type: number
                  validationErrors:
                    type: array
                    items:
                      type: string
                required:
                  - name
                  - message
                  - code
                additionalProperties: false
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````